#!/usr/bin/env bash

# Initialize and update git submodules
git submodule init
git submodule update --remote

# Check the status of the git submodules
git submodule status

# Create necessary directories
mkdir -p docs/tech
mkdir -p files-from-repos

# Copy files to the respective directories
cp ./backend/definitions/README.md ./docs/tech/architecture/definitions.md
cp ./backend/CHANGELOG.md ./docs/tech/architecture/CHANGELOG.md
cp ./backend/openapi.yml ./docs/tech/api/openapi.yml
cp ./frontend/docker/nginx-deployment/README.md ./files-from-repos/nginx-README.md
